Loading...
Searching...
No Matches
volk_32f_x3_sum_of_poly_32f.h File Reference
`#include <inttypes.h>`
`#include <stdio.h>`
`#include <volk/volk_complex.h>`
`#include <pmmintrin.h>`
`#include <xmmintrin.h>`
`#include <immintrin.h>`
`#include <arm_neon.h>`

Go to the source code of this file.

## Macros

#define | MAX(X, Y)
#define | INCLUDED_volk_32f_x3_sum_of_poly_32f_u_H

## Functions

static void | volk_32f_x3_sum_of_poly_32f_a_sse3 (float *target, float *src0, float *center_point_array, float *cutoff, unsigned int num_points)
static void | volk_32f_x3_sum_of_poly_32f_a_avx (float *target, float *src0, float *center_point_array, float *cutoff, unsigned int num_points)
static void | volk_32f_x3_sum_of_poly_32f_generic (float *target, float *src0, float *center_point_array, float *cutoff, unsigned int num_points)
static void | volk_32f_x3_sum_of_poly_32f_neon (float *__restrict target, float *__restrict src0, float *__restrict center_point_array, float *__restrict cutoff, unsigned int num_points)
static void | volk_32f_x3_sum_of_poly_32f_u_avx (float *target, float *src0, float *center_point_array, float *cutoff, unsigned int num_points)

## Macro Definition Documentation

## INCLUDED_volk_32f_x3_sum_of_poly_32f_u_H

#define INCLUDED_volk_32f_x3_sum_of_poly_32f_u_H

## MAX

#define MAX | ( |  | X,
|  |  | Y )

Value:
((X) > (Y) ? (X) : (Y))

## Function Documentation

## volk_32f_x3_sum_of_poly_32f_a_avx()

void volk_32f_x3_sum_of_poly_32f_a_avx | ( | float * | target,
|  | float * | src0,
|  | float * | center_point_array,
|  | float * | cutoff,
|  | unsigned int | num_points )

inline static

## volk_32f_x3_sum_of_poly_32f_a_sse3()

void volk_32f_x3_sum_of_poly_32f_a_sse3 | ( | float * | target,
|  | float * | src0,
|  | float * | center_point_array,
|  | float * | cutoff,
|  | unsigned int | num_points )

inline static

## volk_32f_x3_sum_of_poly_32f_generic()

void volk_32f_x3_sum_of_poly_32f_generic | ( | float * | target,
|  | float * | src0,
|  | float * | center_point_array,
|  | float * | cutoff,
|  | unsigned int | num_points )

inline static

## volk_32f_x3_sum_of_poly_32f_neon()

void volk_32f_x3_sum_of_poly_32f_neon | ( | float *__restrict | target,
|  | float *__restrict | src0,
|  | float *__restrict | center_point_array,
|  | float *__restrict | cutoff,
|  | unsigned int | num_points )

inline static

## volk_32f_x3_sum_of_poly_32f_u_avx()

void volk_32f_x3_sum_of_poly_32f_u_avx | ( | float * | target,
|  | float * | src0,
|  | float * | center_point_array,
|  | float * | cutoff,
|  | unsigned int | num_points )

inline static